Android Zoom meeting SDK crash after upgrade to 5.15.5.15204

Hi @kaitlynnst it could be related! I’ll respond more in that particular thread. Thanks!

I run into this issue while integrating Zoom Meeting SDK with react-native.

  • v5.13.10 always worked fine
  • v5.14.0 crashes after joining meeting
  • I also tried with newest versions of Zoom Meeting SDK - 5.16.2.16555 and react-native - 0.72.6 and I am still getting crashes

I discovered that in Android Studio, when:

  • I use Run 'app' - it never crashes
  • However, when I do Build -> Build Bundle(s) / APK(s) -> Build APK(s) and installing .apk on the phone - it always crashes

Any idea why there might be a difference between Run 'app' and Build?

1 Like

Hi @mieszko4 , can you please do a test to set minifyEnabled to be false, and see if the crash still exist? Thanks!

It was already false when I tried it. So the issue must be something else.
But thnx for the suggestion!

@mieszko4 Got it, thanks for confirmation! We noticed that there is a similar issue which is resolved by upgrading gradle version: [BUG] java.lang.NoSuchMethodError: No static method $private$all(Landroidx/compose/ui/layout/ParentDataModifier;Lkotlin/jvm/functions/Function1;) · Issue #5345 · stripe/stripe-android · GitHub

Can you please provide us the version of gradle and gradle plugin in your project? Thanks!

1 Like

Hey @mieszko4 I am already using your react-native-zoom-us package. but for the Picture in Picture issue, I tried to manually upgrade SDK to v5.16.2, but with your jitpack version which is v5.16.2.16555 I am facing the same issue that you mentioned above. it is happening the same as you described working only with the studio’s run button.

@gianni.zoom Any help from your side as well will be appreciated, thanks.

Appologies for late reply.
I am using gradle-8.0.1 and com.android.tools.build:gradle:4.2.1.
My project also uses react-native@0.72.2.

@qing.peng

@satyajeetsinh.chudas

For Gradle version, i am using 8.2
https://services.gradle.org/distributions/gradle-8.2-all.zip

and for Gradle plugin version is not specified
dependencies {
classpath(“com.android.tools.build:gradle”)
}

@mieszko4 Can you please upgrade com.android.tools.build:gradle to 7.1.2 to see if it solves the problem? Thanks.

1 Like

Updating com.android.tools.build:gradle to 7.1.2 did not help.

What helped was setting minSdkVersion to 24.
That means, however, that app will not work for Android 6 (maybe that’s ok)

Plus, with minSdkVersion 24 error didn’t appear

minSdkVersion of react native build.gradle or for build.gradle of react-native-zoom-us ?

Thanks!

@satyajeetsinh.chudas

Project and gradle settings: Prerequisites for the Meeting SDK for web

Thank you @gianni.zoom for your response, but I already met those requirements. As mentioned above by mieszko4 (Mitosz ) we need to update minSDKVersion to 24 instead of 23 ( provided in Prerequisites ) to prevent it from crashing.

Right now it is not crashing but there is a UI issue in which the share button is cutting in Android.
@dmitryukhanov can you confirm for same?

You need it for both.

Just wanted to mention that wilkinson4 (Will Wilkinson) · GitHub was the one who figured it out.

I don’t have a problem with share button (check if MeetingOptions.no_share = false).

In my case, the share button is coming but it is getting cropped half.
I also checked in another native Android app and the same behavior is happening in it as well.

can you please tell me which SDK version are you using currently?

by the way, I am using 5.16.2.16555 (‘com.github.zoom-us-community:jitpack-zoom-us:5.16.2.16555’) for my react-native project.

for MeetingOptions.no_share = false, I am relying on a third-party library to access native SDK from react native, so I can not directly pass any extra option while starting meeting. That third-party library is developed by @mieszko4 (You can read his comments above ) FYI.

( tried to share SS for the issue but not letting me attach it here so providing we transfer link instead)

android SDK v5.16.6.17198

1 Like

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.